version: "3.8"

services:
  app:
    build:
      context: .
      dockerfile: docker/php/Dockerfile
    container_name: laravel_app
    volumes:
      - .:/var/www
      - ./docker/nginx/:/etc/nginx/sites-enabled/
    # networks:
    #   - laravel
#   web:
#     image: nginx:alpine
#     container_name: laravel_nginx
#     ports:
#       - "8000:80"
#     volumes:
#       - .:/var/www
#       - ./docker/nginx/default.conf:/etc/nginx/conf.d/default.conf
#     depends_on:
#       - app
#     networks:
#       - laravel

#   db:
#     image: mysql:8.0
#     container_name: laravel_mysql
#     restart: unless-stopped
#     environment:
#       MYSQL_DATABASE: laravel
#       MYSQL_ROOT_PASSWORD: root
#       MYSQL_USER: laravel
#       MYSQL_PASSWORD: secret
#     ports:
#       - "3306:3306"
#     volumes:
#       - dbdata:/var/lib/mysql
#     networks:
#       - laravel

# networks:
#   laravel:

# volumes:
#   dbdata:
